curl --request GET \
--url https://api.gcore.com/storage/provisioning/v3/storage \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v3/storage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v3/storage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"address": "s-region-1.storage.example.com",
"client_id": 1,
"created_at": "2025-08-05T09:17:02Z",
"id": 1,
"location": "s-region-1",
"name": "1-my-storage-prod",
"provisioning_status": "ok",
"reseller_id": 1,
"type": "s3_compatible",
"can_restore": true,
"credentials": {
"keys": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key"
}
],
"s3": {
"access_key": "AKIAIOSFODNN7EXAMPLE",
"secret_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"sftp_password": "Xy9$mN2p!qR8"
},
"custom_config_file": false,
"deleted_at": "2025-08-05T10:30:15Z",
"disable_http": false,
"expires": "2026-08-05T09:17:02Z",
"rewrite_rules": {},
"server_alias": "my-storage.example.com"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List storages
Returns storages with the same filtering and pagination as v2, but in a simplified response shape for easier client consumption.
Response format: count: total number of storages matching the filter (independent of pagination) results: the current page of storages according to limit/offset
Deprecated: Use GET /v4/object_storages for S3 storages or GET /v4/sftp_storages for SFTP storages instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Field name to sort by
Ascending or descending order
asc, desc Filter by storage ID
Filter by storage name (exact match)
Filter by storage location/region
Filter by storage type
s3_compatible, sftp Number of records to skip before beginning to write in response.
x >= 0Max number of records in response
1 <= x <= 1000Filter by storage status
active, creating, ok, updating, deleting, deleted Include deleted storages in the response
Was this page helpful?